Bug 1846146 - unable to recognize no matches for kind "servicemonitor.monitoring.coreos.com" in version "monitoring.coreos.com/v1"
Summary: unable to recognize no matches for kind "servicemonitor.monitoring.coreos.com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Vibhav Bobade
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-10 22:08 UTC by OpenShift BugZilla Robot
Modified: 2020-10-27 16:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:06:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:06:55 UTC

Comment 1 Akram Ben Aissi 2020-06-11 05:47:20 UTC
The final fix will be when openshift sample operator team will release the template.

Comment 2 Akram Ben Aissi 2020-06-23 18:53:05 UTC
Fixed by https://github.com/openshift/jenkins/pull/1055 in 4.5 but stayed in fligh between feature freeze and code freeze.

Comment 5 Jitendar Singh 2020-06-25 08:09:36 UTC
VERIFIED
====================================================== 

jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc create -f jenkins-persistent-monitored.json
template.template.openshift.io/jenkins-persistent-monitored created
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc get pods
No resources found.
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc process jenkins-persistent-monitored -n jenkins-test | oc create -f -
route.route.openshift.io/jenkins created
persistentvolumeclaim/jenkins created
configmap/jenkins-trusted-ca-bundle created
deploymentconfig.apps.openshift.io/jenkins created
serviceaccount/jenkins created
rolebinding.authorization.openshift.io/jenkins_edit created
service/jenkins-jnlp created
service/jenkins created
servicemonitor.monitoring.coreos.com/jenkins-persistent-monitored created
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc get pods
NAME               READY   STATUS    RESTARTS   AGE
jenkins-1-9hl78    0/1     Pending   0          1s
jenkins-1-deploy   1/1     Running   0          5s
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc get pods -w
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-9hl78    0/1     ContainerCreating   0          11s
jenkins-1-deploy   1/1     Running             0          15s
jenkins-1-9hl78    0/1     ContainerCreating   0          13s
jenkins-1-9hl78    0/1     ContainerCreating   0          23s
jenkins-1-9hl78    0/1     Running             0          41s
jenkins-1-9hl78    1/1     Running             0          3m
jenkins-1-deploy   0/1     Completed           0          3m5s
jenkins-1-deploy   0/1     Completed           0          3m5s
jenkins-1-deploy   0/1     Completed           0          3m12s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates   master  oc get routes
NAME      HOST/PORT                                                                      PATH   SERVICES   PORT    TERMINATION     WILDCARD
jenkins   jenkins-jenkins-test.apps.jenkins-4.4-2020-06-26.qe.devcluster.openshift.com          jenkins    <all>   edge/Redirect   None

Comment 7 errata-xmlrpc 2020-10-27 16:06:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.